Subject: Re: system() problem
From: [email-masked] (Michael Hirmke)

19 Jan 1998 20:16:17 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Dezso,

[...]
>#include <stdlib.h>
>int main (void)
>{
>        int i;
>        i = system ("dir");
>        return i;
>}
>
>When I run the program it prints "failure!!!!!" and returns -1.
>The system() did not work with any other arguments I tried except NULL when
> it returned 1 (and
>there was no failure message then).
>
>Is it a bug or did I do something wrong?

Don't know, what you did wrong. Your code works here without any
problem. Even if not, I can't imagine, who or what is responsible for
the "failure" printout. Neither dir nor the system function ever print
such a message.

>
>Thank you,
>
>     Dezso Kovacs

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".